# React SDK for Zocks.io

`@zocks-communications/client-sdk-react` is the official React SDK for [Zocks.io](https://zocks.io). With this SDK, you
can quickly integrate functionality provided by Zocks.io into your React application. The SDK is built on top of the
[Javascript Zocks.io SDK](https://www.npmjs.com/package/@zocks-communications/client-sdk-js)

The SDK is a collection of hooks and standard components. The components are highly customizable and extendable via both
CSS and render props. Hooks are provided for using the SDK in headless mode.

## Docs

Docs are available at https://docs.zocks.io

[React SDK Reference](https://docs.zocks.io/category/react) 
