import { Checker } from './Checker';
export type Candidate = {
    type: string;
    foundation: string;
    protocol: string;
    address: string;
    port: string;
    priority: number;
    url: string;
    relayProtocol: string;
};
export type CandidateInfo = {
    candidate: Candidate;
    elapsed: string;
};
export declare class TrickleCheck extends Checker {
    private begin;
    private candidates;
    offerDescription: string;
    name: string;
    get description(): string;
    private iceCallback;
    private getFinalResult;
    private gatheringStateChange;
    private iceCandidateError;
    protected perform(): Promise<void>;
}
