import { ZocksChatActions } from '../index';
export declare const useChat: (chatActions: ZocksChatActions) => {
    sendPublicMessage: (message: string, attachment?: import("./models").ChatAttachmentModel | undefined) => void;
    sendPrivateMessage: (message: string, remoteParticipant: import("../index").ParticipantModel, attachment?: import("./models").ChatAttachmentModel | undefined) => void;
    uploadAttachment: (file: File, remoteParticipant?: import("../index").ParticipantModel | undefined) => Promise<string | undefined>;
    getAttachmentLocation: (attachmentFileId: string) => Promise<string | undefined>;
    publicChatMessages: import("./models").ChatMessageModel[];
    privateChatMessages: {
        [participantId: string]: import("./models").ChatMessageModel[];
    };
    messageRecipient: string;
};
export declare const useNewMessagesFrom: () => {
    newMessagesFrom: string[];
    clearMessageFrom: (messageFrom: string) => void;
};
