import { TranscriptionResult } from '@zocks-communications/client-sdk-js';
export interface ParticipantTranscriptModel {
    finalTranscripts: TranscriptionResult[];
    partialTranscript: TranscriptionResult | null;
}
export interface TranscriptionStatus {
    serviceEnabled: boolean;
    serviceLoading: boolean;
    autoEnabled: boolean;
    displayTranscriptions: boolean;
    transcriptionInProgress: boolean;
}
export interface SessionTranscriptModel {
    status: TranscriptionStatus;
    transcripts: {
        [id: string]: ParticipantTranscriptModel;
    };
}
