import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { ParticipantsViewType, ViewModel } from './models';
export declare const viewSlice: import("@reduxjs/toolkit").Slice<ViewModel, {
    changeParticipantsView: (state: import("immer/dist/internal").WritableDraft<ViewModel>, action: PayloadAction<ParticipantsViewType>) => void;
}, "view">;
export declare const changeParticipantsView: import("@reduxjs/toolkit").ActionCreatorWithPayload<ParticipantsViewType, "view/changeParticipantsView">;
export declare const selectCurrentParticipantsView: (state: RootState) => ParticipantsViewType;
declare const _default: import("redux").Reducer<ViewModel, import("redux").AnyAction>;
export default _default;
