import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { VirtualBackgroundItem, VirtualBackgroundModel } from './models';
export declare const virtualBackgroundSlice: import("@reduxjs/toolkit").Slice<VirtualBackgroundModel, {
    setAvailableBackgrounds: (state: import("immer/dist/internal").WritableDraft<VirtualBackgroundModel>, action: PayloadAction<VirtualBackgroundItem[]>) => void;
    setCurrentVirtualBackground: (state: import("immer/dist/internal").WritableDraft<VirtualBackgroundModel>, action: PayloadAction<VirtualBackgroundItem>) => void;
    clearCurrentVirtualBackground: (state: import("immer/dist/internal").WritableDraft<VirtualBackgroundModel>) => void;
}, "virtualBackground">;
export declare const setAvailableBackgrounds: import("@reduxjs/toolkit").ActionCreatorWithPayload<VirtualBackgroundItem[], "virtualBackground/setAvailableBackgrounds">, setCurrentVirtualBackground: import("@reduxjs/toolkit").ActionCreatorWithPayload<VirtualBackgroundItem, "virtualBackground/setCurrentVirtualBackground">, clearCurrentVirtualBackground: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"virtualBackground/clearCurrentVirtualBackground">;
export declare const selectCurrentVirtualBackground: (state: RootState) => VirtualBackgroundItem | null;
export declare const selectAvailableVirtualBackgrounds: (state: RootState) => VirtualBackgroundItem[] | null;
declare const _default: import("redux").Reducer<VirtualBackgroundModel, import("redux").AnyAction>;
export default _default;
