import { ComponentType } from 'react'
import { StyledComponent } from '../../../components'
import { JoinOptions } from '../../../store'

export interface JoinButtonProps extends StyledComponent {
  joinAction: (joinOptions: JoinOptions) => void
  joinOptions: JoinOptions
}

export interface OneOnOneJoinPageComponents {
  DisabledVideoPlaceholder?: ComponentType<StyledComponent>
  JoinButton?: ComponentType<JoinButtonProps>
}

export interface OneOnOneJoinPageProps extends StyledComponent {
  joinAction: (joinOptions: JoinOptions) => void
  joinOptions?: Partial<JoinOptions>
  components?: OneOnOneJoinPageComponents
}
