import { RoomControlsComponents, StyledComponent } from '../../../components'
import { ZocksActions } from '../../../store'

export interface FullScreenButtonProps extends StyledComponent {
  isInFullscreen: boolean
  toggleFullscreen: () => void
}

export interface OneOnOneRoomControlsProps extends StyledComponent {
  zocksActions: ZocksActions
  isInFullscreen: boolean
  toggleFullscreen: () => void
  components?: RoomControlsComponents
}
