import { ComponentType } from 'react'
import { RoomControlsComponents, StyledComponent } from '../../components'
import { JoinOptions, ZocksActions } from '../../store'
import { OneOnOneJoinPageComponents } from './OneOnOneJoinPage'
import { OneOnOneParticipantViewComponents } from './OneOnOneParticipantView/models'

export interface OneOnOneMeetingComponents {
  roomControls?: RoomControlsComponents
  participant?: OneOnOneParticipantViewComponents
  joinPage?: OneOnOneJoinPageComponents
  Loader?: ComponentType<StyledComponent>
}

export interface OneOnOneMeetingProps extends StyledComponent {
  zocksActions: ZocksActions
  joinOptions?: JoinOptions
  components?: OneOnOneMeetingComponents
}
