import { ApiTokenProvider } from '@zocks-communications/client-sdk-js'
import { VirtualBackgroundItem } from './store'

export interface ZocksConfig {
  accountId: string
  apiBaseUrl?: string
  aiApiBaseUrl?: string
  iamApiBaseUrl?: string
  aiExecuteApiBaseUrl?: string
  transcriptionApiBaseUrl?: string
  apiTokenProvider?: ApiTokenProvider[]
  apiTokenKeyName?: string
  apiToken?: string
  logLevel?: string
  saveMediaEventsEnabled?: boolean
  appInfo?: string
  virtualBackgrounds?: VirtualBackgroundItem[]
}
