import { ParticipantsViewType } from './models'
import viewReducer, { changeParticipantsView } from './viewSlice'

test('changes the current participants view', () => {
  const state = {
    participantsView: {
      currentView: ParticipantsViewType.Grid,
    },
  }

  expect(viewReducer(state, changeParticipantsView(ParticipantsViewType.Speaker))).toStrictEqual({
    participantsView: {
      currentView: ParticipantsViewType.Speaker,
    },
  })
})
