import { DeviceMenuItem, SelectMenuProps, StyledComponent } from '../../common';
import { ComponentType } from 'react';
export interface AudioToggleButtonProps {
    audioIsOn: boolean;
    toggleAudio: () => void;
}
export interface AudioControlMenuComponents {
    AudioControlMenu?: ComponentType<SelectMenuProps<DeviceMenuItem>>;
}
export interface AudioControlMenu {
    onAudioDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void;
    components: AudioControlMenuComponents;
}
export type AudioControlButtonProps = AudioToggleButtonProps & Partial<AudioControlMenu> & StyledComponent;
