import { ComponentType } from 'react';
import { MenuItem, SelectMenuProps, StyledComponent } from './models';
interface SelectButtonProps<P extends MenuItem> extends StyledComponent {
    menuItems: P[];
    onMenuItemSelected?: (item: P) => void;
    disabled?: boolean;
    buttonLabel?: string;
    SelectMenu?: ComponentType<SelectMenuProps<P>>;
}
export declare const SelectButton: <T extends MenuItem>({ menuItems, onMenuItemSelected, disabled, buttonLabel, SelectMenu, styles, }: SelectButtonProps<T>) => import("react/jsx-runtime").JSX.Element;
export {};
