import { ZocksConfig } from '../../models';
import { ParticipantModel, ParticipantView, SessionView, ZocksActions, ZocksAuthActions } from './models';
export declare const useZocksActions: (zocksConfig: ZocksConfig) => ZocksActions;
export declare const useZocksAuth: () => ZocksAuthActions;
export declare const useZocksSession: () => SessionView;
export declare const useParticipant: (participantModel: ParticipantModel) => ParticipantView;
export declare const useLeaveOnUnload: (leave: () => void) => void;
export declare const useSynchronizeParticipants: () => {
    synchronizeParticipants: () => void;
};
