import { DeviceMenuItem, SelectMenuProps, StyledComponent } from '../common'
import { ComponentType } from 'react'

export interface DeviceSelectButtonComponents {
  SelectMenu?: ComponentType<SelectMenuProps<DeviceMenuItem>>
}

export interface DeviceSelectButtonProps extends StyledComponent {
  deviceKind: MediaDeviceKind
  onDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void
  disabled?: boolean
  label?: string
  components?: DeviceSelectButtonComponents
}

export interface AudioInputOutputDeviceSelectButtonProps extends StyledComponent {
  onDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void
  inputDisabled?: boolean
  label?: string
  components?: DeviceSelectButtonComponents
}
