import { ComponentType } from 'react'
import { ParticipantModel } from '../../store'
import { StyledComponent } from '../common'

export interface ParticipantsListComponents {
  ParticipantListElement?: ComponentType<ParticipantsListElementProps>
}

export interface ParticipantsListProps extends StyledComponent {
  participants: ParticipantModel[]
  dismiss?: () => void
  components?: ParticipantsListComponents
}

export interface ParticipantsListElementProps extends StyledComponent {
  participant: ParticipantModel
}

export interface OnlineParticipantsListProps extends StyledComponent {
  dismiss?: () => void
  components?: ParticipantsListComponents
}
