import React from 'react'
import { useZocksActions } from '../../store'
import { OneOnOneMeeting } from './OneOnOneMeeting'

export const OneOnOneMeetingExample = () => {
  const zocksActions = useZocksActions({
    apiBaseUrl: 'https://api.zocks.io/v1',
    accountId: 'db8mt16gxt8ueddw',
  })

  return (
    <div style={{ padding: '20px' }}>
      <h1>Example</h1>
      <div style={{ width: '40%' }}>
        <OneOnOneMeeting zocksActions={zocksActions} joinOptions={{ roomId: 'dmmgwdcwmemcp872' }} />
      </div>
    </div>
  )
}
