import { ComponentType } from 'react'
import { ParticipantProps, StyledComponent } from '../../../../components'
import { ParticipantModel } from '../../../../store'

export interface MainParticipantProps extends StyledComponent {
  remoteParticipantExists: boolean
  noRemoteParticipantText?: string
  mainParticipant: ParticipantModel
  components?: {
    Participant?: ComponentType<ParticipantProps>
  }
}
