import { AIFeature, AIResult } from '@zocks-communications/client-sdk-js'
import { ErrorResponse } from '../../components'

export interface AIFeatureModel extends AIFeature {
  results: AIResult[]
}

export enum AIFeaturesStatus {
  INITIAL = 'initial',
  IDLE = 'idle',
  LOADING = 'loading',
  SUCCESS = 'success',
  ERROR = 'error',
}

export interface AIFeaturesModel extends ErrorResponse {
  aiFeaturesStatus: AIFeaturesStatus
  aiFeatures: { [id: string]: AIFeatureModel }
}
